Subject: Re: What's cooking in git.git (Oct 2014, #08; Fri, 31)

From: Jeff King <[email-masked]>
Date: Sat, 1 Nov 2014 00:09:32 -0400

On Fri, Oct 31, 2014 at 01:59:20PM -0700, Junio C Hamano wrote:

> --------------------------------------------------
> [Discarded]
> 
> * jk/tag-contains (2014-06-30) 8 commits
>  . perf: add tests for tag --contains
>  . tag: use commit_contains
>  . commit: provide a fast multi-tip contains function
>  . string-list: add pos to iterator callback
>  . add functions for memory-efficient bitmaps
>  . paint_down_to_common: use prio_queue
>  . tag: factor out decision to stream tags
>  . tag: allow --sort with -n
> 
>  Expecting a reroll.

Seems reasonable.  I am still planning to re-roll this eventually, but I
do not think there is a deep need to carry it in your tree for the time
being.

> * jk/makefile (2014-02-05) 16 commits
>  . FIXUP
>  . move LESS/LV pager environment to Makefile
>  . Makefile: teach scripts to include make variables
>  . FIXUP
>  . Makefile: auto-build C strings from make variables
>  . Makefile: drop *_SQ variables
>  . FIXUP
>  . Makefile: add c-quote helper function
>  . Makefile: introduce sq function for shell-quoting
>  . Makefile: always create files via make-var
>  . Makefile: store GIT-* sentinel files in MAKE/
>  . Makefile: prefer printf to echo for GIT-*
>  . Makefile: use tempfile/mv strategy for GIT-*
>  . Makefile: introduce make-var helper function
>  . Makefile: fix git-instaweb dependency on gitweb
>  . Makefile: drop USE_GETTEXT_SCHEME from GIT-CFLAGS
> 
>  Simplify the Makefile rules and macros that exist primarily for
>  quoting purposes, and make it easier to robustly express the
>  dependency rules.
> 
>  Expecting a reroll.

I was surprised you carried this in your tree for so long. I do like the
direction it was going, but I was not 100% convinced that it was
something _other_ people liked, and I never really prioritized getting
back to it. Did you actually like it and really wanted to see it
finished, or did just kind of hang around because you had never bothered
to drop it?

Or do you not remember enough anymore to have an opinion? :)

-Peff